Package wx :: Class GraphicsRenderer

[frames | no frames]

## Type GraphicsRenderer

    object --+
             |
        Object --+
                 |
                GraphicsRenderer

Proxy of C++ GraphicsRenderer class

Method Summary
| `__init__(self)`
| `__del__(self)`
GraphicsBrush | `CreateBrush(self, brush)`
GraphicsContext | ``CreateContext`(self, dc)` CreateContext(self, Window window) -> GraphicsContext
GraphicsContext | `CreateContextFromNativeContext(self, context)`
GraphicsContext | `CreateContextFromNativeWindow(self, window)`
GraphicsFont | `CreateFont(self, font, col)`
GraphicsBrush | `CreateLinearGradientBrush(self, x1, y1, x2, y2, c1, c2)`
GraphicsMatrix | `CreateMatrix(self, a, b, c, d, tx, ty)`
GraphicsContext | `CreateMeasuringContext(self)`
GraphicsPath | `CreatePath(self)`
GraphicsPen | `CreatePen(self, pen)`
GraphicsBrush | `CreateRadialGradientBrush(self, xo, yo, xc, yc, radius, oColor, cColor)`
GraphicsRenderer | `GetDefaultRenderer()` (Static method)

Property Summary
| `thisown`: The membership flag

Instance Method Details

### CreateContext(self, dc)

CreateContext(self, Window window) -> GraphicsContext

  Parameters:
    `dc`
    (type=WindowDC)

  Returns:
    GraphicsContext

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:25 2007 | http://epydoc.sf.net